/*
 * SFNode.java
 * Copyright (C) 1998 Stephen Chenney and Jeffrey Ichnowski
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License version
 * 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package berkeley.cs.dmc.vrml.field;

import berkeley.cs.dmc.vrml.node.BaseNode;

public class SFNode extends berkeley.cs.dmc.vrml.Field
{
    BaseNode node;

    public SFNode() { this.node = null; }
    public SFNode( BaseNode node ) { this.node = node; }

    public BaseNode getValue() { return node; }
    public void setValue(BaseNode node) { this.node = node; }
    public void setValue(ConstSFNode node) { this.node = node.getValue(); }
    public void setValue(SFNode node) { this.node = node.node; }

    public String toString() {
        return node == null ? "NULL" : node.toString();
    }
}
