/*
 * SFString.java
 * Copyright (C) 1998 Stephen Chenney and Jeffrey Ichnowski
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License version
 * 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package berkeley.cs.dmc.vrml.field;

public class SFString extends berkeley.cs.dmc.vrml.Field {
    String str;
    public SFString() { str = ""; }
    public SFString(String s) { str = s; }
    public String getValue() { return str; }
    public void setValue(String s) { str = s; }
    public void setValue(ConstSFString s) { str = s.getValue(); }
    public void setValue(SFString s) { str = s.str; }

    public String toString() {
        return str;
    }
}
