/*
 * SFInt32.java
 * Copyright (C) 1998 Stephen Chenney and Jeffrey Ichnowski
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License version
 * 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package berkeley.cs.dmc.vrml.field;

public class SFInt32 extends berkeley.cs.dmc.vrml.Field
{
    int value;

    public SFInt32(int i) { value = i; }
    public int getValue() { return value; }
    public void setValue(int i) { value = i; }
    public void setValue(ConstSFInt32 i) { value = i.getValue(); }
    public void setValue(SFInt32 i) { value = i.value; }

    public String toString() {
        return Integer.toString( value );
    }
}
