/*
 * SFTime.java
 * Copyright (C) 1998 Stephen Chenney and Jeffrey Ichnowski
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License version
 * 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package berkeley.cs.dmc.vrml.field;

public class SFTime extends berkeley.cs.dmc.vrml.Field {

    double v;

    public SFTime() { v=0; }
    public SFTime( double time ) { v = time; }

    public double getValue() { return v; }
    public void setValue( double time ) { v = time; }
    public void setValue( ConstSFTime time ) { v = time.getValue(); }
    public void setValue( SFTime time ) { v = time.v; }

    public String toString() {
        return Double.toString( v );
    }
}
