/*
 * ExternProto.java
 * Copyright (C) 1998 Stephen Chenney and Jeffrey Ichnowski
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License version
 * 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package berkeley.cs.dmc.vrml.parser;

import java.util.Hashtable;
import java.util.Vector;

public class ExternProto extends Proto {
    Vector url;
    Proto proto;

    public void setUrl( Vector url ) {
	this.url = url;
    }

    public ExternProto( String name ) {
	super(name);
    }

    public void addField( Token t, Token n ) {
	super.addField(t,n,null);
    }

    public void addExposedField( Token t, Token n ) {
	super.addExposedField(t,n,null);
    }

    /*
    public void dump( String indent, java.io.PrintStream out ) {
	String indent2 = indent+INDENT_LEVEL;
	out.println( indent+"EXTERNPROTO "+name );
	dumpInterface( indent, out );
	out.println( indent+"{" );
	if( proto != null )
	    proto.dump( indent2, out );
	out.println( indent+"}" );
    }
    */
}
